/*--------------------------------------|
|File:		 main.c						|
|Date:   	 August 2011				|
|Author:	 J. Moertl					|
|Description:Main file, controlling all |
|			 important functions, 		|
|			 including main loop.       |
|										|
|The code is written to controll 		|
|EA DOGS102-6 from ELECTRONIC ASSEMBLY	|
|	http://www.lcd-module.com			|
|--------------------------------------*/



/*Additional information:
The code is tested on Atmel ATMega168
The ports have the folling configuration:

ATMega 168 | EA DOGS102-6
--------------------------
PB0		   | RST (PIN 27)
PB1 	   | CD  (PIN 26)
PB2		   | CS0 (PIN 28)
PB3 MISO   | SDA (PIN 24)
PB5 SCK    | SCK (PIN 25)

The testscreen should look like you can see on the foto:
sample_screen.JPG

The makefile can be used to compile with WinAVR and programmers' notepad.
http://www.pnotepad.org
The flasher I used, was the Burn'o'Mat.
http://burn-o-mat.net
*/


#include "main.h"  //definitions and other includes


/*--------------------------------------
Function:	main()
Input:		---
Output:		---
Description:conrtolling and main loop
--------------------------------------*/
int main (void)
{
	uint8_t i=0; //index variable

	spi_init(); //Init spi

	sei(); //global interrupt enabled

	lcd_init(); //init EA DOGS102-6

	//---------Showing a testscreen--------------//
	lcd_string(0,5,"EA DOGS102-6!", ptr_font_8x16, INVERS); //Printing a line in big fonts, inverted
	lcd_string(0,5 + pgm_read_byte(ptr_font_8x16 + 5), "this is next line", ptr_font_6x8, DELETE); //Printing next line small fonts, normal

	while (i<XMAX) //loop to make a line consisting of small rectangles
	{
		lcd_rect(i,32,i+4,32+4); //Making small rectangles as line
		i+=8;
	}
	//---------EOF a testscreen--------------//


	//---------Main loop--------------//
	while (1)
	{

	}
	//---------EOF main loop--------------//

	cli(); //global interrupt off
	return 0;
}

//----------------- EOF main.c ------------